For the complete documentation index, see llms.txt. This page is also available as Markdown.

Commission token formation

The method allows you to get a commission token for cross-chain exchange

Commission token formation

post
Header parameters
x-api-public-keystringOptional

Public API-key

x-api-signaturestringOptional

Signing the request body with a private API-key

Content-typestringOptional

Request content type

Example: application/json
Body
currencyFromstringRequired

Outgoing coin

Example: USDT
currencyTostringRequired

Expected coin

Example: USDC
networkFromstringRequired

Outgoing network

Example: ethereum
networkTostringRequired

Expected Network

Example: tron
amountstringRequired

Exchange amount

Example: 200
Responses
200Success
application/json

Successful response

successbooleanRequired

Request success indicator

post/api-gateway/swaps/fee-token
POST /api-gateway/swaps/fee-token HTTP/1.1
Host: app.apollopayment.io
Content-Type: application/json
Accept: */*
Content-Length: 102

{
  "currencyFrom": "USDT",
  "currencyTo": "USDC",
  "networkFrom": "ethereum",
  "networkTo": "tron",
  "amount": "200"
}
200Success
{
  "success": true,
  "response": {
    "amountFrom": "200",
    "amountTo": "200",
    "serviceBlockchainFeeSource": "ADVANCE",
    "serviceBlockchainFee": "2",
    "serviceBlockchainFeeUSD": "2",
    "providerBlockchainFeeSource": "AMOUNT",
    "providerBlockchainFee": "2",
    "providerBlockchainFeeUSD": "2",
    "serviceFeeSource": "ADVANCE",
    "serviceFee": "2",
    "serviceFeeUSD": "2",
    "price": "1",
    "token": "U2FsdGVkX19ruW7bkHxgTkyAeazA6qqA086KcL6Vq+c8L+ym/yYOoE3LRmT5j2rmVy6hfE+oM+WJRQ4YpWY/TK6V1td3AZwEprmkFCtN9NIl2h9sFbvlTMlfA/UJFdCoS4qAwDteWVUr4jx/Jp14EjcSXekZ+1mCmWjb25eV6GLVs+4/Q7L8+FyYcVeOWYZEkFiixS6f4hGiRqqKsmh+rA==",
    "expiresAt": "2026-01-29T11:17:59.958Z"
  }
}

Last updated